Subject: Smoky Mountains
From: [email-masked] (Ron Baber)
Date: 10 Aug 1994 00:40:46 GMT
Newsgroups: bionet.mycology

Just returned from the Smokies.  They have had a lot of rain this summer and
it's making the 'shrooming great.  They're working on the road between
Gatlinsburg and Cades Cove.  On the detour road we found quite a few of the
large puffballs (Calvatia Booniana), a sackfull of Fat Hens (Sparassis),
literally tons of Chanterelles(Siberius), even a few Boletus EDulus, and a
smattering of other varieties.  We've been eating 'shrooms for three days
and tonight we're having "Sparassis" soup.  Good pick'n! By the way, let's
have some other "find reports".